<?
##################### Класс борьбы с SQL атаками ################
include_once("inclydings/sql.php");

$stop_injection = new InitVars();
$stop_injection->checkVars();
#########################################################
include_once("mysql.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("inclydings/zag.php");
include_once("inclydings/antixak.php");
include 'inclydings/ini.php';
$_title = 'Lineage2';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("L2dbnam/esql2db/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
include 'inclydings/sesi.php';
if (isset($user)) {

switch($go) {

default:


echo"<b>Заядлый рыбак</b><br/>
Привет $log!<br/>
Я вижу ты хочешь подзаработать? Или просто отдохнуть :-) Вобщем я тебе помогу.<br/>
Чтобы рыбачить купи удочку и наживку. Ловить рыбу можно за воротами города у озера.<br/><br/>";

$file=@file("L2dbnam/esql2db/eventfish.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){
echo"<img src='pik4erspic/mini/fih.gif' height=16 width=16> <a href=\"eventfish.php?$sd&go=sdat\">Сдать Улов</a><br/>";
$start="no";
}}if(empty($start)){
echo"<img src='pik4erspic/mini/fih.gif' height=16 width=16> <a href=\"eventfish.php?$sd&go=start\">Принять Участвие</a><br/>";
}
echo"<img src='pik4erspic/mini/fih.gif' height=16 width=16> <a href=\"eventfish.php?$sd&go=about\">О Рыбалке</a><br/>
<img src='pik4erspic/mini/fih.gif' height=16 width=16> <a href=\"eventfish.php?$sd&go=top\">Конкурс Рыбака</a><br/>";

break;

case 'about':


echo"<b>Заядлый рыбак</b><br/>
'Лавис рыба балша и маханька! Рыбацкая молитва.'<br/><br/>
Рыбалка - это не только способ отдохнуть от нудного кача или в ожидании подходящей группы, но и способ заработать денег, получить ценные вещи, опыт и поучаствовать в конкурсе на лучшего рыбака.<br/>
Все, что нужно для успешной рыбалки - удочка, наживки и немного терпения.<br/>
Приобрести инвентарь для рыбалки можно у Заядлый рыбак.<br/>
Находится он в разных городах.<br/><br/>";
echo"<a href=\"eventfish.php?$sd&\">Продолжить</a><br/>";


break;

case 'start':

$date=date("D");

if($date=="Sun"){echo"Принимать участвие в Эвенте можно с понедельника."; include_once"inclydings/down.php"; exit; }


$text="$log||0||";

$fp=fopen("L2dbnam/esql2db/eventfish.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp);







echo"<b>Начало Рыболовли</b><br/>
Вы успешно приняли участвие!<br/>
Идите на озеро и ловите рыбу<br/>";

break;

case 'sdat':

$date=date("D");

if($date=="Sun"){echo"Принимать участвие в Эвенте можно с понедельника."; include_once"inclydings/down.php"; exit; }


$file=@file("L2dbnam/esql2db/eventfish.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);

if($data[0]==$log){

$file2=@file("L2dbnam/esql2db/item/$log.dat");
$total2=count($file2);
for($i2=0; $i2<$total2; $i2++){
$data2=explode(":||:",$file2[$i2]);

if($data2[4]=="Fish"){

$_GLOBAL[kol]=$data2[3];

$fp=fopen("L2dbnam/esql2db/item/$log.dat","w");
flock ($fp,LOCK_EX);
unset($file2[$i2]);
fputs($fp, implode("",$file2));
flock ($fp,LOCK_UN);
fclose($fp);

}}

$koll=$data[1];
$all=$_GLOBAL[kol]+$koll;

$text="$log||$all||";

$fp=fopen("L2dbnam/esql2db/eventfish.dat","w");
flock ($fp,LOCK_EX);
unset($file[$i]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);

$fp=fopen("L2dbnam/esql2db/eventfish.dat","a+");
flock($fp,LOCK_EX);
fputs($fp,"$text\r\n");
fflush($fp);
flock($fp,LOCK_UN);
fclose($fp); }}

echo"Вы сдали всего рыбы: $all";

break;

case 'top':



$file=@file("L2dbnam/esql2db/eventfish.dat");
$total=count($file);
if(@file("L2dbnam/esql2db/eventfish.dat")){
for($i=0; $i<$total; $i++){
$data=explode("||",$file[$i]);


$data_log[]=$data[0];
$data_kol[]=$data[1];
}

arsort($data_kol);

foreach($data_kol as $k=>$v)
{

$data_screen[]='<a href="search.php?nick='.$data_log[$k].'&'.$sd.'&go=go">'.$data_log[$k].'</a></b><br/>Наловил: '.$data_kol[$k].' Рыбы<br/>';

}

if($total<"10"){
$list=$total;}else{$list="10";}

for ($i = 0; $i < $list; $i++){
$i2=$i+1;
echo "$i2. $data_screen[$i]";
}

echo"<br/>Всего участников: $total";}else{echo"Участников нет.";}
echo"<br/><br/><a href=\"eventfish.php?$sd&\">Продолжить</a><br/>";

break;

}
}else{echo"Пароль или ник неверен.Возможно сессия устарела.Попробуйте авторизироваться заново...";}

include_once"inclydings/down.php";
?>
